<?php

// Themes features

function theme_features_support() {
	// enable custom post formats
	add_theme_support('post-formats', array('aside', 'image', 'video', 'audio','quote', 'link', 'gallery'));
	// enable featured images
	add_theme_support('post-thumbnails');
	//menu register
	register_nav_menus(array(
		'main-nav' => __('Главное меню'),
		'aside-nav' => __('Боковое меню'),
		'footer-beton-nav' => __('Навиция в футере(Бетон)'),
		'footer-metall-nav' => __('Навиция в футере(Металлопрокат)'),
		'footer-company-nav' => __('Навиция в футере(Компания)')
		));
	//excerpt lenght
	function new_excerpt_length($length) {
		return 30;
	}

	add_filter('excerpt_length', 'new_excerpt_length');
	//[...] excerpt deleting
	add_filter('excerpt_more', function($more) {
		return '...';
	});

	// add_filter('nav_menu_item_id', '__return_false');

}
add_action('after_setup_theme', 'theme_features_support');

// Theme styles and scripts

function theme_styles_and_scripts() {
	wp_enqueue_style('style', get_template_directory_uri() . "/style.css", '', time(), false);
	// wp_enqueue_style('fonts', get_template_directory_uri() . '/css/fonts.css');
	wp_enqueue_style('owl-carousel-css', get_template_directory_uri() . '/libs/owl-carousel2/assets/owl.carousel.css');
	wp_enqueue_style('owl-carousel-default-css', get_template_directory_uri() . '/libs/owl-carousel2/assets/owl.theme.default.css');
	wp_enqueue_style('fancybox-css', get_template_directory_uri() . '/libs/fancybox/jquery.fancybox.min.css');
	wp_enqueue_script( 'jquery-lib', get_template_directory_uri() . '/libs/jquery/jquery-3.2.0.min.js', '', '', false );
	wp_enqueue_script( 'owl-js', get_template_directory_uri() . '/libs/owl-carousel2/owl.carousel.min.js', '', '', true );
	wp_enqueue_script('fancybox-js', get_template_directory_uri() . '/libs/fancybox/jquery.fancybox.min.js', '', time(), true);
	// wp_enqueue_script('telmask', get_template_directory_uri() . 'libs/inputmasked/inputmasked.js', '', '', false);
	wp_enqueue_script( 'main-js', get_template_directory_uri() . '/js/main.js', '', time(), true );
}

//Includes

require_once(TEMPLATEPATH . '/extensions/breadcrumbs/breadcrumbs.php');
require_once(TEMPLATEPATH . '/extensions/shortcodes/shortcodes.php');

add_action( 'wp_enqueue_scripts', 'theme_styles_and_scripts' );

// Remove Emojii

remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'wp_print_styles', 'print_emoji_styles' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );
remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
add_filter( 'tiny_mce_plugins', 'disable_wp_emojis_in_tinymce' );
function disable_wp_emojis_in_tinymce( $plugins ) {
	if ( is_array( $plugins ) ) {
		return array_diff( $plugins, array( 'wpemoji' ) );
	} else {
		return array();
	}
}

remove_action( 'wp_head', 'feed_links_extra' );
remove_action( 'wp_head', 'feed_links' );
remove_action( 'wp_head', 'rsd_link' );
remove_action( 'wp_head', 'wlwmanifest_link' );
remove_action( 'wp_head', 'index_rel_link' );
remove_action( 'wp_head', 'parent_post_rel_link' );
remove_action( 'wp_head', 'start_post_rel_link' );
remove_action( 'wp_head', 'adjacent_posts_rel_link');
remove_action( 'wp_head', 'wp_generator' );
remove_action ('wp_head', 'rel_canonical');
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10, 0);
remove_action( 'wp_head', 'wp_oembed_add_discovery_links' );
