$(document).ready(function() {

	var sliderPlugin = (function() {
		var mainSlider = $(".slider"),
				slider = $(".gallery-slider");

		mainSlider.owlCarousel({
			loop: true,
			autoplay: true,
			autoplayHoverPause: true,
			autoplaySpeed: 1500,
			autoplayTimeout: 10000,
			nav: true,
			items: 1,
			navText: [],
			onInitialized: initialized,
			onChanged: changed
		});

		function initialized(e) {
			$(".item-actual").html("0" + (++e.page.index + 1));
			$(".item-total").html("0" + e.item.count);
		}

		function changed(e) {
			$(".slider-item-counter").html(
				'<span class="item-actual">0' +
				(e.page.index + 1) +
				"</span>" +
				'<span class="item-total">0' +
				e.item.count +
				"</span>"
				);
		}

		slider.owlCarousel({
			loop: false,
			autoplay: true,
			autoplayHoverPause: true,
			autoplaySpeed: 1500,
			autoplayTimeout: 10000,
			nav: true,
			dotsEach: 3,
			navText: [],
			items: 3,
			responsiveClass:true,
			responsive : {
				480:{
				   dotsEach: 2,
			       items: 2,
			       nav: false
			    },
			    1200:{
			        items: 3,
			        nav: true
			    },

			}
		});

		$('[data-fancybox="gallery"]').fancybox({
			thumbs : {
				autoStart : true
			}
		});
	})();

	//Tabs

	// var tabs = (function(){

	// 	var	links = $(".tabs-control li");

	// 	var getContent = function(){

	// 		var href = $(this).attr("data-link");

	// 		$(".active-tab").removeClass("active-tab");
	// 		$(this).addClass("active-tab");

	// 		showContent(href);
	// 	}

	// 	var showContent = function(href){
	// 		$(".active-content").removeClass("active-content");

	// 		$(".tabs-content " + "." + href).addClass("active-content");
	// 	}

	// 	links.on("click", getContent);

	// })();


	var showModal = (function() {
		var popup = $(".popup"),
		popupFormContainer = $(".popup__form-container");

		function showCallback(e) {
			var target = $(e.target);

			if (target.hasClass("callback")) {
				e.preventDefault();
				popup.css({ display: "block" });
				popupFormContainer.addClass("popup__form--show");
			}
		}

		function closeCallback(e) {

			var target = $(e.target);

			if (target.hasClass("btn--close") || target.hasClass("popup")) {
				e.preventDefault();
				popup.fadeOut(300);
				popupFormContainer.removeClass("popup__form--show");
			}
		}

		$("body").on("click", showCallback);
		popup.on("click", closeCallback);
	})();

	// var counter = (function() {
	// 	function nextElement() {
	// 		var listItem = $(".advantages__list-item--active");

	// 		$(".advantages__list-item--active").removeClass(
	// 			"advantages__list-item--active"
	// 			);

	// 		if (listItem.next().hasClass("advantages__list-item")) {
	// 			listItem.next().addClass("advantages__list-item--active");
	// 		} else {
	// 			$(".advantages__list-item:first").addClass("advantages__list-item--active");
	// 		}

	// 		countIt();
	// 	}

	// 	function countIt() {
	// 		var listItem = $(".advantages__list-item--active"),
	// 		number = listItem.find(".number"),
	// 		numberVal = parseInt(number.text()),
	// 		actualNumber = listItem.find(".number").text(1),
	// 		delay = numberVal < 10 ? 500 : 10;

	// 		for (var i = 1; i <= numberVal; i++) {
	// 			setTimeout(
	// 				(function(i) {
	// 					return function() {
	// 						number.text(i);
	// 						if (i == numberVal) {
	// 							setTimeout(nextElement, 1000);
	// 						}
	// 					};
	// 				})(i),
	// 				delay * i
	// 				);
	// 		}
	// 	}

	// 	countIt();
	// })();

	var scrollTop = (function() {
		var topBtn = $(".btn--up");

		function scrollTarget() {
			var target = $(this).attr("data-target");
			var top = $("." + target).offset().top - 100;
			$("body,html").animate({ scrollTop: top }, 100);
		}

		topBtn.on("click", scrollTarget);
	})();

	var navigation = (function() {
		var header = $("header"),
		navBtn = header.find(".btn--menu"),
		sidebarBtn = $(".btn--sidebar"),
		sidebar = $(".sidebar"),
		nav = $(".navigation, .sidebar__nav"),
		submenu = nav.find(".menu-item-has-children"),
		actualPosition;

		$(".sidebar__nav > .current_page_ancestor, .sidebar__nav > .current-menu-item").addClass("open");

		function toggleMenu() {
			var target = $(this).attr("data-target"),
			top = $("." + target).offset().top + 432;

			navBtn.toggleClass("btn--menu-open");
			nav.not(".sidebar__nav").slideToggle(200);

			if (navBtn.hasClass("btn--menu-open")) {
				actualPosition = $(window).scrollTop();
				$("body,html").animate({ scrollTop: top }, 100);
			} else {
				$("body,html").animate({ scrollTop: actualPosition }, 100);
			}
		}

		function showSideBar() {
			sidebarBtn.toggleClass("btn--sidebar-open");
			sidebar.toggleClass("open");
		}

		function showSubmenu(e) {
			var target = $(e.target);
			var submenu = $(this).find(".sub-menu");

			if(target.hasClass("menu-item-has-children")){

				if(target.hasClass("open")){
					target.removeClass("open");
					target.addClass("close");
				} else {
					target.removeClass("close");
					target.addClass("open");
				}

				submenu.slideToggle(200);
			}

		}

		function changePosition() {
			var logo = $(".header").offset().top,
			windowScroll = $(window).scrollTop(),
			position = windowScroll > 20 ? 20 : 80;

			$(".btn--sidebar, .btn--menu").css({ top: position });
		}

		navBtn.on("click", toggleMenu);
		sidebarBtn.on("click", showSideBar);
		submenu.on("click", showSubmenu);
		$(window).on("scroll", changePosition);
	})();

	var formElementsToggler = (function() {

		var naturalPersonForm = $(".natural-person-form"),
		addSection = $(".add-subsection"),
		deleteSection = $(".delete-subsection"),
		addItem = $(".add-item"),
		deleteItem = $(".delete-item"),
		block = $(".form-section-product"),
		formSection = $(".form-section-add"),
		formLineWrapper = $(".form-subsection-line-wrapper");

		function addMainSection(e){
			e.preventDefault();

			var template = '<div class="form-section form-section-add">' +
			'<select class="product" name="product[]" id="product">' +
			'<option value="Бетон">Бетон</option>' +
			'<option value="Арматура">Арматура</option>' +
			'<option value="Бетононасос">Бетононасос</option>' +
			'</select>' +
			'<div class="form-subsection">' +
			'<div class="form-subsection-line-wrapper">' +
			'<div class="form-subsection-line">' +
			'<div class="form-subsection-block">' +
			'<label for="concrete">Марка бетона</label>' +
			'<select name="concrete[]" id="concrete">' +
			'<option value="М100 В7.5">М100 В7.5</option>' +
			'<option value="М150 В12.5">М150 В12.5</option>' +
			'<option value="М200 В15">М200 В15</option>' +
			'<option value="М250 В20">М250 В20</option>' +
			'<option value="М300 В22.5">М300 В22.5</option>' +
			'<option value="М350 В25">М350 В25</option>' +
			'<option value="М400 В30">М400 В30</option>' +
			'<option value="М450 В35">М450 В35</option>' +
			'<option value="М500 В40">М500 В40</option>' +
			'</select>' +
			'</div>' +
			'<div class="form-subsection-block">' +
			'<label for="value">Объем бетона, м<sup><small>3</small></sup></label>' +
			'<input type="text" pattern="^[0-9]+$" name="c_value[]" placeholder="200">' +
			'</div>' +
			'</div>' +
			'</div>' +
			'<div class="form-subsection-btns">' +
			'<a class="add-item" href="#">Добавить</a>' +
			'<a class="delete-item" href="#">Удалить</a>' +
			'</div>' +
			'</div>' +
			'<a class="delete-subsection" href="#">Удалить</a>' +
			'</div>';
			block.append(template);
		}

		function changeSection(e){

			var target = $(e.target);
			option = $(this).val();
			formLineWrapper = $(this).parent().find(".form-subsection-line-wrapper"),
			template = "";

			if(formLineWrapper.length > 1){
				formLineWrapper.each(function(index, item){
					if(index > 0){
						$(item).parent().remove();
					}
				})
			}

			switch(option){

				case "Бетон":
				template =  '<div class="form-subsection-line">' +
				'<div class="form-subsection-block">' +
				'<label for="concrete">Марка бетона</label>' +
				'<select name="concrete[]" id="concrete">' +
				'<option value="М100 В7.5">М100 В7.5</option>' +
				'<option value="М150 В12.5">М150 В12.5</option>' +
				'<option value="М200 В15">М200 В15</option>' +
				'<option value="М250 В20">М250 В20</option>' +
				'<option value="М300 В22.5">М300 В22.5</option>' +
				'<option value="М350 В25">М350 В25</option>' +
				'<option value="М400 В30">М400 В30</option>' +
				'<option value="М450 В35">М450 В35</option>' +
				'<option value="М500 В40">М500 В40</option>' +
				'</select>' +
				'</div>' +
				'<div class="form-subsection-block">' +
				'<label for="value">Объем бетона, м<sup><small>3</small></sup></label>' +
				'<input type="text" pattern="^[0-9]+$" data-type="required" name="c_value[]" placeholder="200">' +
				'</div>' +
				'</div>';

				formLineWrapper.html(template);
				break;

				case "Арматура":
				template =  '<div class="form-subsection-line">' +
				'<div class="form-subsection-block">' +
				'<label for="armatura">Вид арматуры</label>' +
				'<select name="armatura[]" id="armatura">' +
				'<option value="Гладкая А-1">Гладкая А-1</option>' +
				'<option value="Рифленая А-3">Рифленая А-3</option>' +
				'<option value="Композитная">Композитная</option>' +
				'</select>' +
				'</div>' +
				'<div class="form-subsection-block">' +
				'<label for="value">Диаметр, мм</label>' +
				'<input type="text" pattern="^[0-9]+$" data-type="required" name="diametr[]" placeholder="200">' +
				'</div>' +
				'<div class="form-subsection-block armatura-quantity-block">' +
				'<label for="value">Количественная мера</label>' +
				'<input type="text" pattern="^[0-9]+$" data-type="required" name="quantity[]" placeholder="200">' +
				'<select name="mera[]" id="armatura">' +
				'<option value="тонна">Тонна</option>' +
				'<option value="метр">Метр</option>' +
				'</select>' +
				'</div>' +
				'</div>';

				formLineWrapper.html(template);
				break;

				case "Бетононасос":
				template =  '<div class="form-subsection-line">' +
				'<div class="form-subsection-block">' +
				'<label for="strela">Длина стрелы</label>' +
				'<select name="strela[]" id="strela">' +
				'<option value="22м">22м</option>' +
				'<option value="24м">24м</option>' +
				'<option value="26м">26м</option>' +
				'<option value="28м">28м</option>' +
				'<option value="32м">32м</option>' +
				'<option value="36м">36м</option>' +
				'<option value="42м">42м</option>' +
				'<option value="52м">52м</option>' +
				'</select>' +
				'</div>';

				formLineWrapper.html(template);
				break;

				default:
				return false;
				break;
			}
		}

		function addSubsection(e){
			e.preventDefault();

			var parent = $(this).parents(".form-section"),
			option = parent.find(".product").val(),
			section = parent.find(".form-subsection")[0].outerHTML;

			parent.append(section);
		}

		function deleteSubsection(e){
			e.preventDefault();

			var parent = $(this).parents(".form-subsection").remove();
		}

		function removeSection(e){
			e.preventDefault();

			$(this).parent().remove();
		}

		addSection.on("click", addMainSection);
		block.on("change", ".product", changeSection);
		block.on("click", ".add-item", addSubsection);
		block.on("click", ".delete-item", deleteSubsection);
		block.on("click", ".delete-subsection", removeSection);
	})();

	// var mask = (function(){
	//
	// 	var tel = $(".phone-field");
	//
	//
	// 	tel.mask("+7(999) 999-9999");
	// })();

	var formValidation = (function(){

		var elem = {
			input: $("form input"),
			form: $("form"),
			fileUpload: $(".file-upload")
		}

		function checkLiveData(){
			var inputValue = $(this).val().trim();
			var inputType = $(this).attr("name");
			var pattern = new RegExp($(this).attr("pattern"), "g");

			if(pattern.test(inputValue)){
				$(this).css({"border" : "1px solid green"});

			} else {
				$(this).css({"border" : "1px solid #FD8070"});
			}
		}

		function checkData(form){

			var inputs = $(form).find("input"),
			status = true;

			inputs.each((index, item) => {
				var inputValue = $(item).val();
				var pattern = new RegExp($(item).attr("pattern"), "g");

				if(pattern.test(inputValue)){
					$(item).css({"border" : "1px solid green"});
				} else {
					$(item).css({"border" : "1px solid #FD8070"});

					if($(item).attr("data-type") == "required"){
						status = false;
					}

					if(!form.hasClass("natural-person-form") && !form.hasClass("legal-person-form")){
						setTimeout(() => {
							$(item).css({"borderColor" : ""});
						}, 2000);
					}

				}
			});

			return status;

		}

		function clearData(){

			elem.input.each((index, item) => {
				$(item).val("");
				$(item).css({"borderColor" : ""});
			});

		}

		function clearBorder(){
			if($(this).val() == ""){
				$(this).css({"borderColor" : ""});
			}
		}

		function fileValidity(){
			var format = $(this).val().split(".").pop();
			inputMask = $(this).next();
			console.log("Value actual: ", $(this).val());
			if(format != "pdf" && format != "doc" && format != "docx"){

				$(this).next().text("Неверный формат").css({"background":"#FE5A43"});
				$(this).remove();
				inputMask.before('<input class="upload-input" type="file" name="file">');
				clearText();
			} else {
				$(this).next().text("Файл добавлен").css({"background":"green"});
			}

			function clearText(input){
				setTimeout(function(){
					inputMask.text("Выберите файл").css({"background":"#336A98"});
				}, 2000);
			}

		}

		function send(e){
			var form = $(this),
			button = $(this).find("button"),
			buttonText = button.text(),
			inputMask = $(this).find(".input-mask"),
			inputMaskText = inputMask.text(),
			success = checkData(form),
			formData = new FormData(form.get(0));

			formData.append("file", $(".upload-input").val());

			if(!success){
				e.preventDefault();
			} else {

				$.ajax({
					type: $(this).attr('method'),
					url: $(this).attr('action'),
					contentType: false,
					processData: false,
					data: formData
				}).done(function() {

					clearData();

					if(form.hasClass("subscribe-form")){
						button.css({"background" : "green"});
					} else {
						button.text("Отправлено").css({"background" : "green"});
					}

					setTimeout(function(){
						button.text(buttonText).css({"background" : ""});
						inputMask.text("Выберите файл").css({"background" : ""});
					}, 1000);

					$(".popup").fadeOut(1000);

				}).fail(function() {
					alert('fail');
				});

				e.preventDefault();
			}
		}

		elem.input.each(function(index, item){
			$(item).on("blur", clearBorder);
		});
		elem.fileUpload.on("change", ".upload-input", fileValidity);
		elem.form.on("keyup", "input", checkLiveData);
		elem.form.on("submit", send);

	})();

});
