<?php 

// Themes features

function theme_features_support() {
	// enable custom post formats
	add_theme_support('post-formats', array('aside', 'image', 'video', 'audio','quote', 'link', 'gallery'));
	// enable featured images
	add_theme_support('post-thumbnails');
	//menu register
	register_nav_menus(array(
		'main-nav' => __('Главное меню'),
		'aside-nav' => __('Боковое меню'),
		'aside-nav-2' => __('Боковое меню справка')
		));
	//excerpt lenght
	function new_excerpt_length($length) {
		return 30;
	}
	add_filter('excerpt_length', 'new_excerpt_length');
	//[...] excerpt deleting
	add_filter('excerpt_more', function($more) {
		return '...';
	});
	// // post type slider registration
	// function slider_post(){  
	// 	$labels = array(  
	// 		'name' => 'Слайдер',
	// 		'singular_name' => 'Слайдер', 
	// 		'add_new' => 'Добавить новый',  
	// 		'add_new_item' => 'Добавить новый слайдер',  
	// 		'edit_item' => 'Редактировать слайдер',  
	// 		'new_item' => 'Новый слайдер',  
	// 		'view_item' => 'Посмотреть слайдер',  
	// 		'search_items' => 'Найти слайдер',  
	// 		'not_found' =>  'слайдер не найден',  
	// 		'not_found_in_trash' => 'В корзине слайдер не найден',  
	// 		'parent_item_colon' => '',  
	// 		'menu_name' => 'Слайдер'  
	// 		);  
	// 	$args = array(  
	// 		'labels' => $labels,  
	// 		'public' => true,  
	// 		'publicly_queryable' => true,  
	// 		'show_ui' => true,  
	// 		'show_in_menu' => true,  
	// 		'query_var' => true,  
	// 		'rewrite' => true,  
	// 		'capability_type' => 'post',  
	// 		'has_archive' => true,  
	// 		'hierarchical' => false,  
	// 		'menu_position' => 4,
	// 		'menu_icon'  => 'dashicons-format-gallery',
	// 		'taxonomies' => array('topics', 'category' ),
	// 		'supports' => array('title', 'thumbnail', 'editor', 'custom-fields')  
	// 		);  
	// 	register_post_type('main-slider', $args);  
	// }
	// add_action('init', 'slider_post');
	
}
add_action('after_setup_theme', 'theme_features_support');

// Theme styles and scripts

function theme_styles_and_scripts() {
	// wp_enqueue_style('style', get_template_directory_uri() . "/style.css", '', time(), false);
	wp_enqueue_style('fonts', get_template_directory_uri() . '/css/fonts.css');
	wp_enqueue_style('owl-carousel-css', get_template_directory_uri() . '/libs/owl-carousel2/assets/owl.carousel.css');
	wp_enqueue_style('owl-carousel-default-css', get_template_directory_uri() . '/libs/owl-carousel2/assets/owl.theme.default.css');
	wp_enqueue_style('fancybox-css', get_template_directory_uri() . '/libs/fancybox/jquery.fancybox.min.css');
	wp_enqueue_script( 'jquery-lib', get_template_directory_uri() . '/libs/jquery/jquery-3.2.0.min.js', '', '', false );
	wp_enqueue_script( 'owl-js', get_template_directory_uri() . '/libs/owl-carousel2/owl.carousel.min.js', '', '', true );
	wp_enqueue_style('fancybox-js', get_template_directory_uri() . '/libs/fancybox/jquery.fancybox.min.js', '', '', true);
	// wp_enqueue_script( 'main-js', get_template_directory_uri() . '/js/main.js', '', '', true );
}

add_action( 'wp_enqueue_scripts', 'theme_styles_and_scripts' );

// Remove Emojii

remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'wp_print_styles', 'print_emoji_styles' );
remove_action( 'admin_print_styles', 'print_emoji_styles' ); 
remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
remove_filter( 'comment_text_rss', 'wp_staticize_emoji' ); 
remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
add_filter( 'tiny_mce_plugins', 'disable_wp_emojis_in_tinymce' );
function disable_wp_emojis_in_tinymce( $plugins ) {
	if ( is_array( $plugins ) ) {
		return array_diff( $plugins, array( 'wpemoji' ) );
	} else {
		return array();
	}
}

remove_action( 'wp_head', 'feed_links_extra' ); 
remove_action( 'wp_head', 'feed_links' );
remove_action( 'wp_head', 'rsd_link' );
remove_action( 'wp_head', 'wlwmanifest_link' );
remove_action( 'wp_head', 'index_rel_link' );
remove_action( 'wp_head', 'parent_post_rel_link' ); 
remove_action( 'wp_head', 'start_post_rel_link' );
remove_action( 'wp_head', 'adjacent_posts_rel_link');
remove_action( 'wp_head', 'wp_generator' );
remove_action ('wp_head', 'rel_canonical');
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10, 0);
remove_action( 'wp_head', 'wp_oembed_add_discovery_links' );
remove_filter( 'the_content', 'wpautop' ); 



