<?php  
/**
 * Template Name: Главаная страница
*/

?>

<?php get_header(); ?>

<div class="content main-page-content clearfix">

	<?php get_sidebar(); ?>

	<div class="main-page">

		<h1 class="page-title animated" data-effect="bounceIn">Бетон ГОСТ от производителя с доставкой</h1>

		<div class="intro-block">
			<h2 class="block-title animated" data-effect="bounceIn">Все марки, любой объем, от 2700руб/куб*</h2>
			<ul class="block-list animated" data-effect="bounceInRight">
				<li>
					<img src="<?php bloginfo("template_url"); ?>/img/factory.jpg" alt="Производство">
					<h3>Мы производители</h3>
					<p>Работаем без посредников</p>
				</li>
				<li>
					<img src="<?php bloginfo("template_url"); ?>/img/autopark.png" alt="">
					<h3>Собственный автопарк</h3>
					<p>Наши машины всегда в срок привезут заказанный объем бетона</p>
				</li>
				<li>
					<img src="<?php bloginfo("template_url"); ?>/img/laboratory.jpg" alt="">
					<h3>Гарантия 5 лет</h3>
					<p>Аттестованная лаборатория при заводах изготовителях</p>
				</li>
			</ul>
		</div>

		<div class="price-tables">
			<h2 class="block-title animated" data-effect="bounceIn">Наши цены на бетон</h2>
			<div class="left-table animated" data-effect="slideInLeft">
				<h3>Бетон на граните</h3>
				<?php echo do_shortcode( '[table id=7/]' ); ?>
			</div>
			<div class="right-table animated" data-effect="slideInRight">
				<h3>Бетон на гравии</h3>
				<?php echo do_shortcode( '[table id=8/]' ); ?>	
			</div>
		</div>

		<div class="factory-block">
			<h2 class="block-title animated" data-effect="bounceIn">Наше производство</h2>
			<ul class="block-list">
				<li class="animated" data-effect="slideInLeft">
					<i class="icon-sand"></i>
					<p>Используем только крупно-фракционный песок, что способствует распределению влаги равномерно</p>
				</li>
				<li class="animated" data-effect="slideInLeft">
					<i class="icon-water-drop"></i>
					<p>Регулярный контроль технической воды в лаборатории на собственном производств</p>
				</li>
				<li class="animated" data-effect="slideInLeft">
					<i class="icon-concrete"></i>
					<p>Используются только цемент лучших марок М500 и М400 для изготовления бетонной смеси</p>
				</li>
				<li class="animated" data-effect="slideInRight">
					<i class="icon-nature"></i>
					<p>Применяется просеянный щебень фракции 5-20, что гарантирует отсутствие комков</p>
				</li>
				<li class="animated" data-effect="slideInRight">
					<i class="icon-atomic-orbitals"></i>
					<p>Используются добавки для повышения пластичности и выдерживает низкие температуры</p>
				</li>
				<li class="animated" data-effect="slideInRight">
					<i class="icon-transport"></i>
					<p>Собственный автопарк специализированной техники гарантирует бесперебойность работы</p>
				</li>
			</ul>
		</div>

		<div class="quality-block">
			<h2 class="block-title animated" data-effect="bounceIn">Гарантированное качество производимой продукции</h2>
			<ul class="block-list">
				<li class="animated" data-effect="zoomIn">
					<i class="icon-quality"></i>
					<p>Качество выпускаемых бетонных смесей и рецептур застрахованно системой автоматизации</p>
				</li>
				<li class="animated" data-effect="zoomIn">
					<i class="icon-rain"></i>
					<p>Система автоматизации адаптированна к специфическим российским условиям эксплуатации бетона</p>
				</li>
				<li class="animated" data-effect="zoomIn">
					<i class="icon-lab"></i>
					<p>Своя испытательная лаборатория </p>
				</li>
				<li class="animated" data-effect="zoomIn">
					<i class="icon-multimedia"></i>
					<p>Контроль качества на всех этапах производства</p>
				</li>
				<li class="animated" data-effect="zoomIn">
					<i class="icon-firewall"></i>
					<p>Высокая степень однородности бетонных смесей</p>
				</li>
			</ul>
		</div>

		<div class="clients-block">
			<h2 class="block-title animated" data-effect="bounceIn">Почему 9 из 10 наших клиентов становятся нашими постоянными клиентами?</h2>
			<ul class="block-list">
				<li class="animated" data-effect="slideInLeft">
					<i class="icon-file"></i>
					<div class="info">
						<h3 class="info-title">Гарантия качества и полный пакет документов</h3>
						<p>Мы дорожим своей репутацией, поэтому никогда не прибегаем к обманным способам наживы. Качество нашей продукции подтверждается всеми необходимыми документами (паспорт качества, накладная) и периодически проходит лабораторный контроль.</p>
					</div>
				</li>
				<li class="animated" data-effect="slideInRight">
					<i class="icon-verification-of-delivery-list-clipboard-symbol"></i>
					<div class="info">
						<h3 class="info-title">Полное соответствие фактически отгруженного бетона вашей заявке</h3>
						<p>Мы не заинтересованы в единоразовых заказах и быстрой наживе, поэтому всегда отгружаем бетон в том объеме, который строго соответствует заявке.</p>
					</div>
				</li>
				<li class="animated" data-effect="slideInLeft">
					<i class="icon-time"></i>
					<div class="info">
						<h3 class="info-title">Круглосуточная отгрузка и приём заявок</h3>
						<p>Наличие собственных автобетоносмесителей и профессиональный сменный водительский состав позволяет не прерывать процесс заливки бетона, в случае необходимости, круглые сутки.</p>
					</div>
				</li>
				<li class="animated" data-effect="slideInRight">
					<i class="icon-delivery"></i>
					<div class="info">
						<h3 class="info-title">100% гарантия сроков</h3>
						<p>Имея собственный автопарк, мы полностью контролируем процесс доставки бетона, поэтому всегда доставляем бетонные смеси в установленные сроки.</p>
					</div>
				</li>
				<li class="animated" data-effect="slideInLeft">
					<i class="icon-dashboard"></i>
					<div class="info">
						<h3 class="info-title">Работаем от 1 куба до ∞</h3>
						<p>Осуществляем поставку любого количества бетона, начиная от 1 кубометра. Мы имеем возможность подключить в работу более 50 автобетоносмесителей и обеспечить подачу сразу несколькими бетононасосами. Поэтому наши услуги подходят для любых строительных работ.</p>
					</div>
				</li>
				<li class="animated" data-effect="slideInRight">
					<i class="icon-success"></i>
					<div class="info">
						<h3 class="info-title">Отсутствие форс-мажорных ситуаций</h3>
						<p>У нас отличные партнерские отношения с более чем 10-ю проверенными и надежными РБУ по всей Минской области, поэтому никакие форс-мажорные обстоятельства не помешают процессу работы даже в случае поломки на производстве.</p>
					</div>
				</li>
				<li class="animated" data-effect="slideInLeft">
					<i class="icon-hourglass"></i>
					<div class="info">
						<h3 class="info-title">Экспресс отгрузка</h3>
						<p>Имеется возможность срочного выполнения заказа.</p>
					</div>
				</li>
				<li class="animated" data-effect="slideInRight">
					<i class="icon-person"></i>
					<div class="info">
						<h3 class="info-title">Работа с надежным поставщиком</h3>
						<p>Большое количество закрытых нами объектов и постоянных партнеров говорит само за себя. За 5 лет успешной деятельности клиенты поведали нам много печальных историй с опытом заказа у сомнительных организаций.</p>
					</div>
				</li>
			</ul>
		</div>

	</div>



</div>

<?php get_footer(); ?>	