$(document).ready(function(){

	var Header = (function(){

		var elem = {
			phoneButton: $(".phone-toggler"),
			menuButton: $(".nav-toggler"),
			contactsBlock: $(".header-contacts-block"),
			mainNav: $(".header-nav")
		}

		var toggleBlock = function(elem){

			elem.toggleClass("shown");

			if(elem.hasClass("shown")){
				elem.show(200);
				$(this).css({"color" : "#90a7d0"});
			} else {
				elem.hide(200);
				$(this).css({"color" : ""});
			}
		}

		elem.phoneButton.on("click", toggleBlock.bind(elem.phoneButton, elem.contactsBlock));
		elem.menuButton.on("click", toggleBlock.bind(elem.menuButton, elem.mainNav));
	})();

	var Content = (function(){

		var elem = {
			sidebarOpen: $(".sidebar-open"),
			sidebarClose: $(".sidebar-close"),
			sidebar: $(".sidebar"),
			scrollTop: $(".scroll-up")
		}

		var showSidebar = function(){
			$(this).animate({"left" : "-100%"}, 200);
			elem.sidebar.animate({"left" : "0px"}, 200);
		}

		var hideSidebar = function(e){
			e.preventDefault();
			elem.sidebar.animate({"left" : "-100%"}, 200);
			elem.sidebarOpen.animate({"left" : "0px"}, 500);
		}

		var scrollTarget = function(elem){
			var target  = $(this).attr('data-target');
			var top = $("." + target).offset().top;
			$('body,html').animate({scrollTop: top}, 100);
		}

		var scrolling = function(y){
			$(window).scroll(function(){
				if($("body").scrollTop() > $("header").height()){
					elem.scrollTop.css({"display" : "block"});
				} else {
					elem.scrollTop.css({"display" : "none"});
				}
			})
		}

		elem.sidebarOpen.on("click", showSidebar);
		elem.sidebarClose.on("click", hideSidebar);
		elem.scrollTop.on("click", scrollTarget);
		scrolling();

	})();

	var Galleries = (function(){

		$(".owl-carousel").owlCarousel();

	})();



});